FROM harbor.cloudwise.com/apm/euspace-base:22.04-amd64
ARG EUSPACE_BASE_PATH=/opt/cloudwise/apm/euspace
RUN mkdir -p $EUSPACE_BASE_PATH
#拷贝安装目录结构
ADD ./dist/x86_64/package_dir/  $EUSPACE_BASE_PATH/
ARG EUSPACE_BIN_PATH=$EUSPACE_BASE_PATH/bin
# 拷贝euspace可执行文件,make直接生成到dist/package_dir/bin/euspace
#COPY ./euspace $EUSPACE_BIN_PATH/
# 设置工作目录
WORKDIR $EUSPACE_BIN_PATH
# 设置PATH变量
ENV PATH=$PATH:$EUSPACE_BIN_PATH
ENTRYPOINT ["euspace"]